Skip to main content
PUT
Update invoice

Authorizations

Authorization
string
header
required

Access token obtained from the /v1/auth/login endpoint

Path Parameters

invoiceId
string<uuid>
required

The ID of the invoice to update

Body

application/json
client_id
string<uuid>
required
Example:

"01jtbf0c9zaraqx3swthf88n5y"

currency
string
required
Example:

"USD"

tax_distribution
string
required
Example:

"PER_DOCUMENT"

discount_distribution
string
required
Example:

"NO_DISCOUNT"

net_terms
string
required
Example:

"NET30"

line_items
object[]
required
tax_id
string<uuid> | null
Example:

"01jtbf0c9zaraqx3swthf88n5y"

discount_type
string | null
Example:

"PERCENTAGE"

discount_value
number<float> | null
Example:

10

has_late_fee
boolean
Example:

true

late_fee_kind
string | null
Example:

"PERCENTAGE"

late_fee_interval
string | null
Example:

"ONE_TIME"

late_fee
number<float> | null
Example:

5

shipping
number<float> | null
Example:

0

notes
string | null
Example:

"Payment due within 30 days"

options
object | null
issued_at
string<date> | null
Example:

"2023-06-15"

Response

Invoice updated successfully

success
boolean
Example:

true

message
string
Example:

"Invoice updated successfully"

data
object